Jump to content

bjornzd

Membres
  • Posts

    38
  • Joined

  • Last visited

  • Days Won

    2

Posts posted by bjornzd

  1. Bonjour,

     

    Je crois avoir trouvé une solution :

     

    Network Settings

    puis onglet VPN puis +

    puis Import a saved VPN configuration

    puis importer le fichier .ovpn de la configuration suivante sur le site de CyberGhost.fr

    Routers or other devices
    Server configuration

    Protocol : Open VPN <= 2.3

    Country : France

    Server group : z

    Username : x

    Password : y

    Pre-Shared : CyberGhost

    Extra Features

    Ne rien cocher ?

     

    ?

    • Thanks 1
  2. Citation

    Merci de nous avoir contactés.

    En ce qui concerne votre problème, pour le moment, nous ne supportons que la distribution Linux suivante :
     

    • Ubuntu 16.04, 18.04, 19.04, et 20.04;
    • Fedora 29, 30, 31, et 32;
    • Mint 19;
    • CentOS 7;
    • PopOS;
    • Kali;


    Nous espérons que l'OS élémentaire sera supporté dans un futur proche. Cependant, je crains de ne pouvoir fournir un calendrier pour tout changement ou nouvelle mise en œuvre.

     

    • Sad 1
  3. Désolé pour le déterrage.

    Je raconte un peu ma vie mais du coup je cherche un moyen sous mon Elementary OS de pouvoir télécharger librement avec mon VPN CyberGhost comme vous l'aurez compris.

    N'arrivant pas à faire fonctionner le VPN je cherche une autre méthode. Je cherche une solution viable.

    Télécharger dans une VM dans Elementary OS avec ledit VPN et faire du drag and drop entre les machines ? ?

    Utiliser Wine et CyberGhost ? ?

    Me tourner vers une box dédiée ? Ou un seedbox ?

    Je suis desespéré.

  4. Salut lafy, ne t'inquiète pas je ne délaisse pas Elementary OS, je garde cet OS pour mon desktop mais sur mon macbook je me dis, avoir une licence de macOS pour rien c'est quand même dommage donc en fin de compte je vais l'utiliser mais surtout découvrir à quoi ça ressemble ?

    Pour ce qui est de la procédure c'est bon j'ai trouvé, Cmd+R ensuite il y a le Internet Recovery Mode qui va faire le travail ?

    Merci !

  5. Comme je disais plus haut, ça fonctionne sur mon macbook mais pas sur mon pc étrangement.

    olivier@olivier:~/Downloads/cyberghostvpn-ubuntu-18.04-1.3.2$ sudo bash install.sh
    [sudo] password for olivier: 
    
    CyberGhost Installer ...
    
    No LSB modules are available.
    Checking if glibc version is compatible
    Check if "curl" package is already installed ... Yes
    Check if "openvpn" package is already installed ... Yes
    Checking OpenVPN version ... Latest ...
    Check if "resolvconf" package is already installed ... Yes
    Check if "wireguard" package is already installed ... Yes
    Continue ...
    Installing application ...
    Create symlinks ...
    Do you want to override the original configuration file? [Y/n]: Y
    Setup account ...
    Enter CyberGhost username and press [ENTER]: x
    Enter CyberGhost password and press [ENTER]: y
    Traceback (most recent call last):
      File "cyberghostvpn.py", line 761, in <module>
      File "cyberghostvpn.py", line 370, in main
      File "cyberghostvpn.py", line 233, in setup
      File "cyberghostvpn.py", line 84, in createAccount
      File "libs/config.py", line 90, in getConfig
    Exception: The section "account" is missing configuration file!
    [24345] Failed to execute script cyberghostvpn

    Du coup j'ai essayé une autre approche, celle-ci :

    https://support.cyberghostvpn.com/hc/en-us/articles/213189889-How-to-configure-OpenVPN-for-Linux-Ubuntu-Terminal-

    Tout en faisant ça depuis Elementary OS et sa configuration VPN intégrée.

    Bizarrement, Elementary OS me dit que tout est ok, qu'il est bien connecté. Or si je vais sur le site de Cyberghost j'ai toujours le statut Non-Protégé...

    J'ai bien du mal à comprendre.

  6. Problème, l'installation se passe bien sur mon macbookair mais pas sur mon pc (tous deux sous elementaryOS)

    olivier@olivier:~/Downloads/cyberghostvpn-ubuntu-18.04-1.3.2/cyberghost$ cyberghostvpn --country-code FR
    Perform authentication ...
    Traceback (most recent call last):
      File "cyberghostvpn.py", line 761, in <module>
      File "cyberghostvpn.py", line 509, in main
      File "servers/traffic.py", line 13, in __init__
      File "libs/services.py", line 21, in __init__
      File "libs/locales.py", line 24, in __init__
      File "libs/user.py", line 37, in __init__
      File "libs/auth.py", line 55, in __init__
      File "libs/config.py", line 90, in getConfig
    Exception: The section "account" is missing configuration file!
    [6285] Failed to execute script cyberghostvpn

     

  7. Je n'ai pas vu de réponse à ce sujet, je pense pas non plus être le seul à me poser la question à savoir, comment enlever l'invite de mot de passe au démarrage de ma machine ou à l'ouverture de mon navigateur qui 'oblige à rentrer un password chaque fois...

    Si quelqu'un possède la technique pour bypasser cette étape fastdieuse à la longue merci de la faire parvenir ci dessous !

    Olivier

  8. Le 08/03/2020 à 20:01, Nikos a dit :

    Comme l'a dit Lafy, ce script n'est pas prévu nativement pour Elementary OS. Bien que développé sur une base Ubuntu 18.04, en modifiant ce script cela devrait fonctionner.

    Je viens de faire le test avec le code de Lafy : j'ai bien pu installer ce vpn

    Par contre, j'ai ce message d'erreur :

    
    [4113] Error loading Python lib '/tmp/_MEIIge1hG/libpython3.7m.so.1.0': dlopen: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29' not found (required by /tmp/_MEIIge1hG/libpython3.7m.so.1.0)

    Je ne vois pas trop d'où vient le problème...

    J'ai la même erreur que toi.

  9. J'ai essayé ceci https://github.com/elementary/camera

    Mais j'ai l'erreur suivante :

    meson.build:1:0: ERROR:  Could not execute Vala compiler "valac"

    Full log :

    Build started at 2020-03-18T22:31:55.194015
    Main binary: /usr/bin/python3
    Python system: Linux
    The Meson build system
    Version: 0.49.2
    Source dir: /home/olivier/Programs/camera
    Build dir: /home/olivier/Programs/camera/build
    Build type: native build
    Project name: io.elementary.camera
    Project version: 1.0.5
    Sanity testing C compiler: cc
    Is cross compiler: False.
    Sanity check compiler command line: cc /home/olivier/Programs/camera/build/meson-private/sanitycheckc.c -o /home/olivier/Programs/camera/build/meson-private/sanitycheckc.exe
    Sanity check compile stdout:
    
    -----
    Sanity check compile stderr:
    
    -----
    Running test binary command: /home/olivier/Programs/camera/build/meson-private/sanitycheckc.exe
    Native C compiler: cc (gcc 7.5.0 "cc (Ubuntu 7.5.0-3ubuntu1~18.04) 7.5.0")
    
    meson.build:1:0: ERROR:  Could not execute Vala compiler "valac"

     

×
×
  • Create New...